close all; format compact; keep pphome; % clean up 

plotten = 1;%save figure 
%%
d=-0.1; zeta=-1; f_0=2;
p=[]; par=[d; zeta; f_0];  % Parameter: d,zeta,f0
nx=400; p=LLEinit(p,0,pi,nx,par); p=setfn(p,'tr'); 
sv=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+f_0];
start=fsolve(sv,[0, 0]);
u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); 
p.u=[u;v; par];
p.sw.bcper=0; %Neumann bc
p.nc.ilam=2;   %setze im 2. Parameter, also in zeta fort

%% Continuation of trivial solution curve
p.nc.dsmax=0.005;
p=cont(p,2000);

%% Switch to bifurcation branch and continue
p=swibra('tr','bpt1','b1', 0.01);
p.nc.dsmax=0.01;
p.usrlam = 3.7;
p = cont(p,480);

%% Plots
figure100 =figure(100);figure100.WindowState = 'maximized';clf;
p = loadp('tr','pt2000');
plot(p.branch(4,:),p.branch(11,:),'-','Color',[0,0,0],'LineWidth',3); hold on;
p = loadp('b1','bpt1');
plot(p.branch(4,:),p.branch(11,:),'-','Color',[1 0 0],'LineWidth',3);
p = loadp('b1','pt61');
plot(p.branch(4,end),p.branch(11,end),'.','MarkerSize',30,'Color',[0 0 0],'LineWidth',3);
p = loadp('b1','pt169');
plot(p.branch(4,end),p.branch(11,end),'.','MarkerSize',30,'Color',[0 0 0],'LineWidth',3);
p = loadp('b1','pt185');
plot(p.branch(4,end),p.branch(11,end),'.','MarkerSize',30,'Color',[0 0 0],'LineWidth',3);
p = loadp('tr','bpt1');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt2');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt3');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt4');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt5');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt6');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
xlabel('$\zeta$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
annotation(figure100,'textarrow',[0.649479166666667 0.634895833333333],...
    [0.629283489096573 0.684319833852544],'String',{'A'},'LineWidth',3,...
    'Interpreter','latex',...
    'FontSize',40);
annotation(figure100,'textarrow',[0.665104166666667 0.636458333333333],...
    [0.71754932502596 0.711318795430945],'String',{'BP'},'LineWidth',3,...
    'Interpreter','latex',...
    'FontSize',40);
annotation(figure100,'textarrow',[0.590104166666667 0.629166666666667],...
    [0.813084112149533 0.781931464174455],'String',{'C'},'LineWidth',3,...
    'Interpreter','latex',...
    'FontSize',40);
xlim([-1,5.5]);
ylim([0.8,27]);
pbaspect([4 3 1])
hold off;
if plotten
    exportgraphics(gca,'bif_review_neg.png');
end

%% create/check for dir and safe files
cd ..
if not(isfolder('figures'))
    mkdir('figures')
end
if not(isfolder('start'))
    mkdir('start')
end

cd ./Review_one_mode_neg

if plotten
    movefile bif_review_neg.png ../figures/
end

copyfile b1\pt169.mat ../start/ 


