close all; format compact; keep pphome; % clean up 

plotten = 1;% save figures; 
%%
d=0.1; zeta=-1; f_0=2;
% p = loadp('start','bpt2');
% u = [p.u(1:800);p.u(1)]; v = [p.u(801:1600);p.u(801)]; zeta = p.u(1602);
p=[]; par=[d; zeta; f_0];  % Parameter: d,zeta,f0,f1,omega_1,epsilon
nx=400; p=LLEinit(p,0,pi,nx,par); p=setfn(p,'tr'); 
sv=@(x) [x(2)+zeta*x(1)-x(1)^3-x(2)^2*x(1); -x(1)+zeta*x(2)-x(1)^2*x(2)-x(2)^3+f_0];
start=fsolve(sv,[0, 0]);
u=start(1)*ones(p.np,1); v=start(2)*ones(p.np,1); 
p.u=[u;v; par];
% p.sol.ds=0.05;
p.sw.bcper=0; %p=box2per(p);  %switche zu periodischen Randbedingungen
p.nc.ilam=2;   %setze im 2. Parameter, also in zeta fort

%% Continuation of trivial solution curve
p=cont(p,1050);

%% Switch to bifurcation branch and continue
p=swibra('tr','bpt16','b16', 0.01);
p.usrlam = 4.5;
% p= cont(p,850);
p = cont(p,480);

%% Plots
figure100 =figure(100);figure100.WindowState = 'maximized';clf;
hold on;
box on
ax = gca;
ax.BoxStyle = 'full';
p = loadp('tr','pt1047');
plot(p.branch(4,:),p.branch(11,:),'-','Color',[0,0,0],'LineWidth',3);
p = loadp('b16','pt476');
plot(p.branch(4,:),p.branch(11,:),'-','Color',[1 0 0],'LineWidth',3);
p = loadp('b16','pt195');
plot(p.branch(4,end),p.branch(11,end),'Square','MarkerSize',20,'Color',[0 0 0],'LineWidth',2);
% plot(4.5*ones(1,500), linspace(0,7.5,500),'LineWidth',2,'LineStyle','--', 'Color',[0 0 0]);%[0 0.4470 0.7410]);
p = loadp('tr','bpt1');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt2');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt3');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt4');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt5');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt6');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt7');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt8');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt9');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt10');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt11');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt12');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt13');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt14');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt15');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
p = loadp('tr','bpt16');
plot(p.branch(4,end),p.branch(11,end),'o','MarkerSize',7,'Color',[0 0 1],'LineWidth',2);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
xlabel('$\zeta$','Interpreter', 'latex');
ylabel('$\|u\|_2^2$','Interpreter', 'latex');
% set(gca,'FontSize', 40,'XTick',[-1 0 1 2 3 4 5],'XTickLabel',{'-1','0','1','2','3','4','5'});
xlim([-1,5.5]);
ylim([0.8,27]);
pbaspect([4 3 1])
hold off;
if plotten
    exportgraphics(gca,'bif_review_pos.png');
end

%% Zoom
figure110 =figure(110);figure110.WindowState = 'maximized';clf;
hold on;
box on
ax = gca;
ax.LineWidth = 3;
ax.BoxStyle = 'full';
p = loadp('tr','pt1047');
plot(p.branch(4,:),p.branch(11,:),'-','Color',[0,0,0],'LineWidth',3);
p = loadp('b16','pt250');
plot(p.branch(4,:),p.branch(11,:),'--','Color',[1 0 0],'LineWidth',3);
p = loadp('b16','pt476');
plot(p.branch(4,250:end),p.branch(11,250:end),'-','Color',[1 0 0],'LineWidth',3);
% plot(4.5*ones(1,500), linspace(0,7.5,500),'LineWidth',2,'LineStyle','--', 'Color',[0 0 0]);%[0 0.4470 0.7410]);
set(gca,'FontSize', 40);
set(gca,'TickLabelInterpreter','latex');
% xlabel('$\zeta$','Interpreter', 'latex');
% ylabel('$\|u\|_2^2$','Interpreter', 'latex');
set(gca,'FontSize', 40,'XTick',[4.498 4.5 4.502],'XTickLabel',{'4.498','4.5','4.502'});
set(gca,'FontSize', 40,'YTick',[3.83 3.832 3.834],'YTickLabel',{'3.83','3.832','3.834'});
p = loadp('b16','pt195');
plot(p.branch(4,end),p.branch(11,end),'.','MarkerSize',70,'Color',[0 0 0],'LineWidth',3);
p = loadp('b16','pt290');
plot(p.branch(4,end),p.branch(11,end),'.','MarkerSize',70,'Color',[0 0 0],'LineWidth',3);
annotation(figure110,'textarrow',[0.517708333333333 0.517708333333333],...
    [0.438252336448598 0.377985462097612],'String',{'BP'},'LineWidth',3,...
    'Interpreter','latex',...
    'FontSize',70);
annotation(figure110,'textarrow',[0.518229166666667 0.517708333333333],...
    [0.664628245067497 0.719626168224299],'String',{'C'},'LineWidth',3,...
    'Interpreter','latex',...
    'FontSize',70);
xlim([4.497,4.503]);
ylim([3.829,3.835]);
pbaspect([4 3 1])
hold off;
if plotten
    exportgraphics(gca,'bif_review_pos_zoom.png');
end

%% create/check for dir and safe files
cd ..
if not(isfolder('figures'))
    mkdir('figures')
end
if not(isfolder('start'))
    mkdir('start')
end

cd ./Review_one_mode_pos

if plotten
    movefile bif_review_pos.png ../figures/
    movefile bif_review_pos_zoom.png ../figures/
end

copyfile b16\pt290.mat ../start/ 
